Discussion:
Bug#934469: theme-d FTCBFS: fails detecting guile-2.2
Add Reply
Helmut Grohne
2019-08-11 11:10:02 UTC
Reply
Permalink
Source: theme-d
Version: 1.4.0-1
Tags: patch
User: debian-***@lists.debian.org
Usertags: ftcbfs

theme-d fails to cross build from source, because it fails to correctly
detect the presence of guile-2.2. The relevant CFLAGS end up missing.
The cause is configure.in hard coding the build architcture pkg-config
in two occasions. After switching to the (correctly detected) host
pkg-config, it fails running guild, because the build dependency on
guile-2.2 requests the host guile, but we need a build guile to run it.
Annotating the dependency with :any or :native is needed here. Please
consider applying the attached patch.

Helmut
Tommi Höynälänmaa
2019-08-12 07:40:02 UTC
Reply
Permalink
Thanks for the patch.

I'll change the distribution from UNRELEASED to unstable and the bug
number in Closes from -1 to the actual bug number 934469. Is this OK?

     - Tommi Höynälänmaa
Post by Helmut Grohne
Source: theme-d
Version: 1.4.0-1
Tags: patch
Usertags: ftcbfs
theme-d fails to cross build from source, because it fails to correctly
detect the presence of guile-2.2. The relevant CFLAGS end up missing.
The cause is configure.in hard coding the build architcture pkg-config
in two occasions. After switching to the (correctly detected) host
pkg-config, it fails running guild, because the build dependency on
guile-2.2 requests the host guile, but we need a build guile to run it.
Annotating the dependency with :any or :native is needed here. Please
consider applying the attached patch.
Helmut
Loading...